org.apache.hadoop.yarn.webapp.hamlet2

## Interface HamletSpec.SELECT

- All Superinterfaces:
    HamletSpec.__, HamletSpec._Child, HamletSpec._Option, HamletSpec.Attrs, HamletSpec.CoreAttrs, HamletSpec.EventsAttrs, HamletSpec.I18nAttrs
  All Known Implementing Classes:
    Hamlet.SELECT
  Enclosing class:
    HamletSpec

      public static interface HamletSpec.SELECT
      extends HamletSpec.Attrs, HamletSpec._Option, HamletSpec._Child

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `HamletSpec.SELECT` | `$disabled()` unavailable in this context
    `HamletSpec.SELECT` | `$multiple()` default is single selection
    `HamletSpec.SELECT` | `$name(String cdata)` field name
    `HamletSpec.SELECT` | `$onblur(String script)` the element lost the focus
    `HamletSpec.SELECT` | `$onchange(String script)` the element value was changed
    `HamletSpec.SELECT` | `$onfocus(String script)` the element got the focus
    `HamletSpec.SELECT` | `$size(int rows)` rows visible
    `HamletSpec.SELECT` | `$tabindex(int index)` position in tabbing order
    `HamletSpec.OPTGROUP` | `optgroup()` Add a OPTGROUP element.

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec.CoreAttrs

      `$class, $id, $style, $title`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec.I18nAttrs

      `$dir, $lang`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec.EventsAttrs

      `$onclick, $ondblclick, $onkeydown, $onkeypress, $onkeyup, $onmousedown, $onmousemove, $onmouseout, $onmouseover, $onmouseup`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec._Option

      `option, option`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec._Child

      `__`

- - ### Method Detail

    - #### optgroup

          HamletSpec.OPTGROUP optgroup()

      Add a OPTGROUP element.
      Returns:
        a new OPTGROUP element builder

    - #### $name

          HamletSpec.SELECT $name(String cdata)

      field name
      Parameters:
        `cdata` -
      Returns:
        the current element builder

    - #### $size

          HamletSpec.SELECT $size(int rows)

      rows visible
      Parameters:
        `rows` -
      Returns:
        the current element builder

    - #### $multiple

          HamletSpec.SELECT $multiple()

      default is single selection
      Returns:
        the current element builder

    - #### $disabled

          HamletSpec.SELECT $disabled()

      unavailable in this context
      Returns:
        the current element builder

    - #### $tabindex

          HamletSpec.SELECT $tabindex(int index)

      position in tabbing order
      Parameters:
        `index` -
      Returns:
        the current element builder

    - #### $onfocus

          HamletSpec.SELECT $onfocus(String script)

      the element got the focus
      Parameters:
        `script` -
      Returns:
        the current element builder

    - #### $onblur

          HamletSpec.SELECT $onblur(String script)

      the element lost the focus
      Parameters:
        `script` -
      Returns:
        the current element builder

    - #### $onchange

          HamletSpec.SELECT $onchange(String script)

      the element value was changed
      Parameters:
        `script` -
      Returns:
        the current element builder

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.